View Issue Details

IDProjectCategoryView StatusLast Update
0001054bareos-core[All Projects] installer / packagespublic2019-04-09 14:39
ReporterroosAssigned Topstorz 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
PlatformLinuxOSDebianOS Version8
Product Version18.2.5 
Target VersionFixed in Version 
Summary0001054: Debian 8 package 18.2.5 doesn't provide systemd files anymore
DescriptionWhile upgrading 17.2.5 to 18.2.5, systemd start failed with error:

Failed to start bareos-filedaemon.service: Unit bareos-filedaemon.service failed to load: No such file or directory

The Deb package didn't provide /lib/systemd/system/bareos-filedaemon.service anymore.

Deb URL: http://download.bareos.org/bareos/release/latest/Debian_8

Debian version: 8.11
Steps To Reproduce. /etc/os-release
URL=http://download.bareos.org/bareos/release/latest/Debian_${VERSION_ID}.0
printf "deb $URL /\n" | sudo tee /etc/apt/sources.list.d/bareos.list
sudo wget -q $URL/Release.key -O- | sudo apt-key add -
sudo apt-get update
sudo apt-get install bareos-filedaemon

Output:
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following extra packages will be installed:
  bareos-common libfastlz
The following NEW packages will be installed:
  bareos-common bareos-filedaemon libfastlz
0 upgraded, 3 newly installed, 0 to remove and 36 not upgraded.
Need to get 0 B/754 kB of archives.
After this operation, 2,912 kB of additional disk space will be used.
Do you want to continue? [Y/n] y
Selecting previously unselected package libfastlz.
(Reading database ... 161374 files and directories currently installed.)
Preparing to unpack .../libfastlz_0.1-14.2_amd64.deb ...
Unpacking libfastlz (0.1-14.2) ...
Selecting previously unselected package bareos-common.
Preparing to unpack .../bareos-common_18.2.5-139.1_amd64.deb ...
Unpacking bareos-common (18.2.5-139.1) ...
Selecting previously unselected package bareos-filedaemon.
Preparing to unpack .../bareos-filedaemon_18.2.5-139.1_amd64.deb ...
Unpacking bareos-filedaemon (18.2.5-139.1) ...
Processing triggers for man-db (2.7.0.2-5) ...
Processing triggers for systemd (215-17+deb8u8) ...
Setting up libfastlz (0.1-14.2) ...
Setting up bareos-common (18.2.5-139.1) ...
Setting up bareos-filedaemon (18.2.5-139.1) ...
insserv: warning: current start runlevel(s) (empty) of script `bareos-fd' overrides LSB defaults (2 3 4 5).
insserv: warning: current stop runlevel(s) (0 1 2 3 4 5 6) of script `bareos-fd' overrides LSB defaults (0 1 6).
Processing triggers for libc-bin (2.19-18+deb8u10) ...

root@myhost:/# sudo systemctl enable bareos-filedaemon
Failed to execute operation: No such file or directory



Additional Information18.2.5 package contents:

# dpkg-query -L bareos-filedaemon
/.
/etc
/etc/init.d
/etc/init.d/bareos-fd
/usr
/usr/share
/usr/share/doc
/usr/share/doc/bareos-filedaemon
/usr/share/doc/bareos-filedaemon/changelog.Debian.gz
/usr/share/doc/bareos-filedaemon/copyright
/usr/share/man
/usr/share/man/man8
/usr/share/man/man8/bareos-fd.8.gz
/usr/sbin
/usr/sbin/bareos-fd
/usr/lib
/usr/lib/bareos
/usr/lib/bareos/plugins
/usr/lib/bareos/plugins/bpipe-fd.so
/usr/lib/bareos/defaultconfigs
/usr/lib/bareos/defaultconfigs/tray-monitor.d
/usr/lib/bareos/defaultconfigs/tray-monitor.d/client
/usr/lib/bareos/defaultconfigs/tray-monitor.d/client/FileDaemon-local.conf
/usr/lib/bareos/defaultconfigs/bareos-fd.d
/usr/lib/bareos/defaultconfigs/bareos-fd.d/messages
/usr/lib/bareos/defaultconfigs/bareos-fd.d/messages/Standard.conf
/usr/lib/bareos/defaultconfigs/bareos-fd.d/director
/usr/lib/bareos/defaultconfigs/bareos-fd.d/director/bareos-mon.conf
/usr/lib/bareos/defaultconfigs/bareos-fd.d/director/bareos-dir.conf
/usr/lib/bareos/defaultconfigs/bareos-fd.d/client
/usr/lib/bareos/defaultconfigs/bareos-fd.d/client/myself.conf



17.2.4 package contents:
# dpkg-query -L bareos-filedaemon
/.
/etc
/etc/init.d
/etc/init.d/bareos-fd
/lib
/lib/systemd
/lib/systemd/system
/lib/systemd/system/bareos-filedaemon.service
/usr
/usr/share
/usr/share/doc
/usr/share/doc/bareos-filedaemon
/usr/share/doc/bareos-filedaemon/changelog.Debian.gz
/usr/share/doc/bareos-filedaemon/copyright
/usr/share/man
/usr/share/man/man8
/usr/share/man/man8/bareos-fd.8.gz
/usr/sbin
/usr/sbin/bareos-fd
/usr/lib
/usr/lib/bareos
/usr/lib/bareos/plugins
/usr/lib/bareos/plugins/bpipe-fd.so
/usr/lib/bareos/defaultconfigs
/usr/lib/bareos/defaultconfigs/tray-monitor.d
/usr/lib/bareos/defaultconfigs/tray-monitor.d/client
/usr/lib/bareos/defaultconfigs/tray-monitor.d/client/FileDaemon-local.conf
/usr/lib/bareos/defaultconfigs/bareos-fd.d
/usr/lib/bareos/defaultconfigs/bareos-fd.d/messages
/usr/lib/bareos/defaultconfigs/bareos-fd.d/messages/Standard.conf
/usr/lib/bareos/defaultconfigs/bareos-fd.d/director
/usr/lib/bareos/defaultconfigs/bareos-fd.d/director/bareos-mon.conf
/usr/lib/bareos/defaultconfigs/bareos-fd.d/director/bareos-dir.conf
/usr/lib/bareos/defaultconfigs/bareos-fd.d/client
/usr/lib/bareos/defaultconfigs/bareos-fd.d/client/myself.conf
TagsNo tags attached.
bareos-master: impact
bareos-master: action
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action

Activities

arogge

arogge

2019-03-13 18:40

developer   ~0003285

This has been an issue with our build-system.
New packages will be released soon.
arogge

arogge

2019-04-09 14:39

developer   ~0003315

New packages have finally been release to the mirrors today.

Issue History

Date Modified Username Field Change
2019-02-12 08:54 roos New Issue
2019-03-13 18:39 arogge Assigned To => pstorz
2019-03-13 18:39 arogge Status new => assigned
2019-03-13 18:40 arogge Note Added: 0003285
2019-04-09 14:39 arogge Status assigned => resolved
2019-04-09 14:39 arogge Resolution open => fixed
2019-04-09 14:39 arogge Note Added: 0003315